Helm install of CloudBees Core fails with `incompatible type of comparison`

Issue

  • I have an issue when installing / upgrading CloudBees Core from the cloudbees/cloudbees-core helm chart:
Error: render error in "cloudbees-core/templates/cjoc-statefulset.yaml": template: cloudbees-core/templates/cjoc-statefulset.yaml:119:24: executing "cloudbees-core/templates/cjoc-statefulset.yaml" at <eq .Values.OperationsCenter.RunAsUser 0.0>: error calling eq: incompatible types for comparison

Environment

Related Issue(s)

Resolution

There is a known issue helm issue #6708 introduced in Helm / Tiller 2.15.0 that causes template generation to fail when comparing numeric value types.
This issue has been fixed in Helm / Tiller 2.15.1.

The solution is to:

  • Upgrade helm (client) to version 2.15.1 or later (the method depends on how it is installed)
  • Upgrade tiller (server) with helm init --upgrade

Have more questions?

0 Comments

Please sign in to leave a comment.